VERSION 5.00
Begin VB.Form Haupt 
   BorderStyle     =   4  'Festes Werkzeugfenster
   Caption         =   "LCDclock 2.0"
   ClientHeight    =   3240
   ClientLeft      =   150
   ClientTop       =   720
   ClientWidth     =   4710
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3240
   ScaleWidth      =   4710
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows-Standard
   Begin VB.Timer tmrFade 
      Enabled         =   0   'False
      Interval        =   1
      Left            =   420
      Top             =   0
   End
   Begin VB.Timer tmrTime 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   0
      Top             =   0
   End
   Begin VB.Menu Traymenue 
      Caption         =   "Tray"
      Begin VB.Menu tyopt 
         Caption         =   "&Optionen..."
      End
      Begin VB.Menu tyact 
         Caption         =   "Anzeige &aktiv"
      End
      Begin VB.Menu tydspinit 
         Caption         =   "Display neu &initialisieren"
      End
      Begin VB.Menu tydel 
         Caption         =   "Display &lschen"
      End
      Begin VB.Menu tybl 
         Caption         =   "&Hintergrundbeleuchtung"
         Begin VB.Menu tyblsm 
            Caption         =   "&Weicher bergang"
         End
         Begin VB.Menu split1 
            Caption         =   "-"
         End
         Begin VB.Menu tyblvol 
            Caption         =   "&100%"
            Index           =   0
         End
         Begin VB.Menu tyblvol 
            Caption         =   "&90%"
            Index           =   1
         End
         Begin VB.Menu tyblvol 
            Caption         =   "&80%"
            Index           =   2
         End
         Begin VB.Menu tyblvol 
            Caption         =   "&70%"
            Index           =   3
         End
         Begin VB.Menu tyblvol 
            Caption         =   "&60%"
            Index           =   4
         End
         Begin VB.Menu tyblvol 
            Caption         =   "&50%"
            Index           =   5
         End
         Begin VB.Menu tyblvol 
            Caption         =   "&40%"
            Index           =   6
         End
         Begin VB.Menu tyblvol 
            Caption         =   "&30%"
            Index           =   7
         End
         Begin VB.Menu tyblvol 
            Caption         =   "&20%"
            Index           =   8
         End
         Begin VB.Menu tyblvol 
            Caption         =   "&10%"
            Index           =   9
         End
         Begin VB.Menu tyblvol 
            Caption         =   "&0%"
            Index           =   10
         End
      End
      Begin VB.Menu tyend 
         Caption         =   "B&eenden"
      End
   End
End
Attribute VB_Name = "Haupt"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' 2003/2004 Christof Rue - www.hobby-elektronik.de.vu
'Die Verwendung dieses Forms ist ist Freeware, solange diese Zeilen erhalten bleiben!

Private WithEvents TrayIcon As TrayBase
Attribute TrayIcon.VB_VarHelpID = -1
Dim ParPort As Long
Dim DspActive As Boolean
Dim SmoothFade As Boolean
Dim Bigfont As Boolean
Dim DspSize As Long
Dim ShowSmall As Long
Dim ShowLarge As Long
Dim SmallMultiline As Boolean
Dim NewTime As Date
Dim OldTime As Date
Dim FadeMin As Long
Dim FadeMax As Long
Dim FadeActval As Long
Dim FadeShallval As Long

Private Sub Form_Load()
ReloadOptions

Set TrayIcon = New TrayBase
TrayIcon.hIcon = Me.Icon
Set TrayIcon.TrayForm = Me
Set TrayIcon.TrayMenu = Traymenue
TrayIcon.Active = True
TrayIcon.ToolTip = "LCDclock 2.0"
Me.Hide
End Sub

Public Sub ReloadOptions()
tmrTime.Enabled = False
Select Case INIlesen("Hardware", "Port")
  Case 0: ParPort = 888
  Case 1: ParPort = 632
  Case 2: ParPort = 956
End Select
If INIlesen("Display", "Active") = "1" Then
  tyact.Checked = True
  DspActive = True
  tmrTime.Enabled = True
Else
  tyact.Checked = False
  DspActive = False
  tmrTime.Enabled = False
End If
If INIlesen("Display", "Smooth") = "1" Then tyblsm.Checked = True: SmoothFade = True Else tyblsm.Checked = False: SmoothFade = False
FadeMin = INIlesen("Fade", "StartFade")
FadeMax = INIlesen("Fade", "EndFade")
FadeActval = Val(INIlesen("Fade", "Brightness")) * 100
If INIlesen("Fade", "Enabled") = "1" Then
  tybl.Enabled = True
  tyblvol(10 - INIlesen("Fade", "Brightness")).Checked = True
  PortOut32 ParPort + 2, 8
  PortOut32 ParPort, Val(INIlesen("Fade", "Brightness")) / 10 * (FadeMax - FadeMin) + FadeMin
  PortOut32 ParPort + 2, 5
Else
  tybl.Enabled = False
End If
  
If INIlesen("Display", "Fontsize") = "1" Then Bigfont = True Else Bigfont = False
DspSize = INIlesen("Hardware", "LcdSize")
ShowSmall = INIlesen("Display", "ShowSmall")
ShowLarge = INIlesen("Display", "ShowLarge")
If INIlesen("Display", "SmallMultiline") = "0" Then SmallMultiline = False Else SmallMultiline = True
If INIlesen("Fade", "Smooth") = "0" Then tyblsm.Checked = False: SmoothFade = False Else tyblsm.Checked = True: SmoothFade = True


If DspActive = True Then
  If Bigfont = True Then
    LcdInitBigNums ParPort
  Else
    LcdInitSmallNums ParPort
  End If
End If
LcdClearDisplay ParPort
End Sub

Private Sub Timer1_Timer()

End Sub

Private Sub Form_Unload(Cancel As Integer)
LcdClearDisplay ParPort
End Sub

Private Sub tmrFade_Timer()
If FadeActval < FadeShallval Then
  FadeActval = FadeActval + 10
  PortOut32 ParPort + 2, 8
  PortOut32 ParPort, FadeActval / 1000 * (FadeMax - FadeMin) + FadeMin
  PortOut32 ParPort + 2, 5

ElseIf FadeActval > FadeShallval Then
  FadeActval = FadeActval - 10
  PortOut32 ParPort + 2, 8
  PortOut32 ParPort, FadeActval / 1000 * (FadeMax - FadeMin) + FadeMin
  PortOut32 ParPort + 2, 5

ElseIf FadeActval = FadeShallval Then
  LcdClearDisplay ParPort
  tmrFade.Enabled = False
  SetPriority Normal
  tmrTime.Enabled = True
End If
End Sub

Private Sub tmrTime_Timer()
NewTime = Now
  If NewTime <> OldTime Then
        ShowTime
        Debug.Print Now
        TrayIcon.Active = True
  End If
OldTime = NewTime
End Sub

Private Function ShowTime()
If Bigfont = False Then
  If ShowSmall = 0 Then
    Select Case DspSize
      Case 0
        LcdWriteSmallNums ParPort, s2x08, ParseSmallnums(Format(NewTime, "hh:nn:ss")), 1, 1
      Case 1
        LcdWriteSmallNums ParPort, s2x16, ParseSmallnums(Format(NewTime, "hh:nn:ss")), 1, 5
      Case 2
        LcdWriteSmallNums ParPort, s2x20, ParseSmallnums(Format(NewTime, "hh:nn:ss")), 1, 7
      Case 3
        'If SmallMultiline = False Then
        LcdWriteSmallNums ParPort, s4x16, ParseSmallnums(Format(NewTime, "hh:nn:ss")), 2, 5
      Case 4
        LcdWriteSmallNums ParPort, s4x20, ParseSmallnums(Format(NewTime, "hh:nn:ss")), 2, 7
    End Select
  ElseIf ShowSmall = 1 Then
    Select Case DspSize
      Case 0
        LcdWriteSmallNums ParPort, s2x08, ParseSmallnums(Format(NewTime, "dd.mm.yy")), 1, 1
      Case 1
        LcdWriteSmallNums ParPort, s2x16, ParseSmallnums(Format(NewTime, "dd.mm.yyyy")), 1, 4
      Case 2
        LcdWriteSmallNums ParPort, s2x20, ParseSmallnums(Format(NewTime, "dd.mm.yyyy")), 1, 6
      Case 3
        'If SmallMultiline = False Then
        LcdWriteSmallNums ParPort, s4x16, ParseSmallnums(Format(NewTime, "dd.mm.yyyy")), 2, 4
      Case 4
        LcdWriteSmallNums ParPort, s4x20, ParseSmallnums(Format(NewTime, "dd.mm.yyyy")), 2, 6
    End Select
  ElseIf ShowSmall = 2 Then
    Select Case DspSize
      Case 1
        LcdWriteSmallNums ParPort, s2x16, ParseSmallnums(Format(NewTime, "hh:nn:ss dd.mm.")), 1, 1
      Case 2
        LcdWriteSmallNums ParPort, s2x20, ParseSmallnums(Format(NewTime, "hh:nn:ss  dd.mm.yyyy")), 1, 1
      Case 3
        LcdWriteSmallNums ParPort, s4x16, ParseSmallnums(Format(NewTime, "hh:nn:ss")), 1, 5
        LcdWriteSmallNums ParPort, s4x16, ParseSmallnums(Format(NewTime, "dd.mm.yyyy")), 3, 4
      Case 4
        LcdWriteSmallNums ParPort, s4x16, ParseSmallnums(Format(NewTime, "hh:nn:ss")), 1, 7
        LcdWriteSmallNums ParPort, s4x16, ParseSmallnums(Format(NewTime, "dd.mm.yyyy")), 3, 6
    End Select
  End If
ElseIf Bigfont = True Then
  If ShowLarge = 0 Then
    Select Case DspSize
      Case 3
        LcdWriteBigNums ParPort, s4x16, Parsebignums(Format(NewTime, "hh:nn")), 1
        LcdSetPos ParPort, s4x16, 4, 15
        LcdWriteText ParPort, Format(NewTime, "ss")
      Case 4
        LcdWriteBigNums ParPort, s4x20, Parsebignums(Format(NewTime, "hh:nn.ss")), 1
    End Select
  ElseIf ShowLarge = 1 Then
    Select Case DspSize
      Case 3
        LcdWriteBigNums ParPort, s4x16, Parsebignums(Format(NewTime, "dd.mm.")), 1
        LcdSetPos ParPort, s4x16, 4, 15
        LcdWriteText ParPort, Format(NewTime, "yy")
      Case 4
        LcdWriteBigNums ParPort, s4x20, Parsebignums(Format(NewTime, "dd.mm.yy")), 1
    End Select
  End If
End If
End Function


Private Sub tyact_Click()
If tyact.Checked = False Then
  tyact.Checked = True
  INISchreiben "Display", "Active", "1"
  DspActive = True
  Call tydspinit_Click
  tmrTime.Enabled = True
Else
  tyact.Checked = False
  INISchreiben "Display", "Active", "0"
  DspActive = False
  LcdClearDisplay ParPort
  tmrTime.Enabled = False
End If
End Sub

Private Sub tyblsm_Click()
If tyblsm.Checked = False Then
  tyblsm.Checked = True
  INISchreiben "Fade", "Smooth", "1"
  SmoothFade = True
Else
  tyblsm.Checked = False
  INISchreiben "Fade", "Smooth", "0"
  SmoothFade = False
End If
End Sub

Private Sub tyblvol_Click(Index As Integer)
For X = 0 To 10
  tyblvol(X).Checked = False
Next
tyblvol(Index).Checked = True
INISchreiben "Fade", "Brightness", 10 - Index
If SmoothFade = False Then
  PortOut32 ParPort + 2, 8
  PortOut32 ParPort, (10 - Index) / 10 * (FadeMax - FadeMin) + FadeMin
  PortOut32 ParPort + 2, 5
  FadeActval = (10 - Index) * 100
ElseIf SmoothFade = True Then
  Showfadetext
  FadeShallval = (10 - Index) * 100
  tmrTime.Enabled = False
  Sleep 250
  tmrFade.Enabled = True
  SetPriority High
End If
End Sub

Private Function Showfadetext()
LcdClearDisplay ParPort
Select Case DspSize
  Case 0
    LcdSetPos ParPort, s2x08, 1, 1
    LcdWriteText ParPort, "Dimmen.."
  Case 1
    LcdSetPos ParPort, s2x16, 1, 4
    LcdWriteText ParPort, "Dimmen..."
    LcdSetPos ParPort, s2x16, 2, 3
    LcdWriteText ParPort, "Bitte Warten"
  Case 2
    LcdSetPos ParPort, s2x20, 1, 6
    LcdWriteText ParPort, "Dimmen..."
    LcdSetPos ParPort, s2x20, 2, 3
    LcdWriteText ParPort, "Bitte warten..."
  Case 3
    LcdSetPos ParPort, s4x16, 1, 1
    LcdWriteText ParPort, "Die Hintergrund-"
    LcdSetPos ParPort, s4x16, 2, 1
    LcdWriteText ParPort, "beleuchtung wird"
    LcdSetPos ParPort, s4x16, 3, 4
    LcdWriteText ParPort, "gedimmt..."
    LcdSetPos ParPort, s4x16, 4, 3
    LcdWriteText ParPort, "Bitte warten"
  Case 4
    LcdSetPos ParPort, s4x20, 1, 2
    LcdWriteText ParPort, "Die Hintergrundbe-"
    LcdSetPos ParPort, s4x20, 2, 2
    LcdWriteText ParPort, "leuchtung wird ge-"
    LcdSetPos ParPort, s4x20, 3, 6
    LcdWriteText ParPort, "dimmt..."
    LcdSetPos ParPort, s4x20, 4, 5
    LcdWriteText ParPort, "Bitte warten"
End Select
End Function

Private Sub tydel_Click()
LcdClearDisplay ParPort
End Sub

Private Sub tydspinit_Click()
If DspActive = True Then
  If Bigfont = True Then
    LcdInitBigNums ParPort
  Else
    LcdInitSmallNums ParPort
  End If
End If
End Sub

Private Sub tyend_Click()
Unload Optionen
Unload Me
End Sub

Private Sub tyopt_Click()
Optionen.Show
End Sub

' 2003/2004 Christof Rue - www.hobby-elektronik.de.vu
'Die Verwendung dieses Forms ist ist Freeware, solange diese Zeilen erhalten bleiben!
