Attribute VB_Name = "Smallchars"
' 2003/2004 Christof Rue - www.hobby-elektronik.de.vu
'Die Verwendung dieses Moduls ist ist Freeware, solange diese Zeilen erhalten bleiben!

Public Type SmallChar
 Line1 As String
 Line2 As String
End Type

Public Function ParseSmallnums(Text As String) As SmallChar
Dim EachChar As SmallChar
Dim BigText As SmallChar
For X = 1 To Len(Text)
  With EachChar
  Select Case Asc(Mid(Text, X, 1))
    Case 48: .Line1 = "0": .Line2 = "1" ' 0
    Case 49: .Line1 = "2": .Line2 = "2" ' 1
    Case 50: .Line1 = "5": .Line2 = "4" ' 2
    Case 51: .Line1 = "3": .Line2 = "6" ' 3
    Case 52: .Line1 = "1": .Line2 = "2" ' 4
    Case 53: .Line1 = "4": .Line2 = "6" ' 5
    Case 54: .Line1 = "4": .Line2 = "1" ' 6
    Case 55: .Line1 = "5": .Line2 = "2" ' 7
    Case 56: .Line1 = "7": .Line2 = "1" ' 8
    Case 57: .Line1 = "7": .Line2 = "6" ' 9
    Case 58: .Line1 = "o": .Line2 = "u" ' :
    Case 46: .Line1 = "9": .Line2 = "p" ' .
    Case 32: .Line1 = "9": .Line2 = "9" '
  End Select
  End With

    BigText.Line1 = BigText.Line1 & EachChar.Line1
    BigText.Line2 = BigText.Line2 & EachChar.Line2
Next
ParseSmallnums = BigText
End Function

Public Function LcdInitSmallNums(ByVal LcdPort As Long)
LcdInit LcdPort, False, False
Dim OwnSymbol As DspOwnSymbol
With OwnSymbol
  .Line0 = "11111"
  .Line1 = "11111"
  .Line2 = "11011"
  .Line3 = "11011"
  .Line4 = "11011"
  .Line5 = "11011"
  .Line6 = "11011"
  .Line7 = "11011"
    LcdDefineChar LcdPort, 0, OwnSymbol
  .Line0 = "11011"
  .Line1 = "11011"
  .Line2 = "11011"
  .Line3 = "11011"
  .Line4 = "11011"
  .Line5 = "11011"
  .Line6 = "11111"
  .Line7 = "11111"
    LcdDefineChar LcdPort, 1, OwnSymbol
  .Line0 = "00011"
  .Line1 = "00011"
  .Line2 = "00011"
  .Line3 = "00011"
  .Line4 = "00011"
  .Line5 = "00011"
  .Line6 = "00011"
  .Line7 = "00011"
    LcdDefineChar LcdPort, 2, OwnSymbol
  .Line0 = "11111"
  .Line1 = "11111"
  .Line2 = "00011"
  .Line3 = "00011"
  .Line4 = "00011"
  .Line5 = "00011"
  .Line6 = "11111"
  .Line7 = "11111"
    LcdDefineChar LcdPort, 3, OwnSymbol
  .Line0 = "11111"
  .Line1 = "11111"
  .Line2 = "11000"
  .Line3 = "11000"
  .Line4 = "11000"
  .Line5 = "11000"
  .Line6 = "11111"
  .Line7 = "11111"
    LcdDefineChar LcdPort, 4, OwnSymbol
  .Line0 = "11111"
  .Line1 = "11111"
  .Line2 = "00011"
  .Line3 = "00011"
  .Line4 = "00011"
  .Line5 = "00011"
  .Line6 = "00011"
  .Line7 = "00011"
    LcdDefineChar LcdPort, 5, OwnSymbol
  .Line0 = "00011"
  .Line1 = "00011"
  .Line2 = "00011"
  .Line3 = "00011"
  .Line4 = "00011"
  .Line5 = "00011"
  .Line6 = "11111"
  .Line7 = "11111"
    LcdDefineChar LcdPort, 6, OwnSymbol
  .Line0 = "11111"
  .Line1 = "11111"
  .Line2 = "11011"
  .Line3 = "11011"
  .Line4 = "11011"
  .Line5 = "11011"
  .Line6 = "11111"
  .Line7 = "11111"
    LcdDefineChar LcdPort, 7, OwnSymbol
End With
LcdClearDisplay LcdPort

End Function

Public Function LcdWriteSmallNums(ByVal LcdPort As Long, LcdSize As DspSize, ByRef Text As SmallChar, Optional StartRow As Long = 1, Optional StartColumn As Long = 1)
LcdSetPos LcdPort, LcdSize, StartRow, StartColumn
For X = 1 To 16
 Select Case Mid(Text.Line1, X, 1)
   Case 0 To 7: LcdWriteChar LcdPort, Mid(Text.Line1, X, 1)
   Case 8: LcdWriteChar LcdPort, 255
   Case 9: LcdWriteChar LcdPort, 32
   Case "o": LcdWriteChar LcdPort, 161
   Case "u": LcdWriteChar LcdPort, 223
   Case "p": LcdWriteChar LcdPort, 46
 End Select
Next
LcdSetPos LcdPort, LcdSize, StartRow + 1, StartColumn
For X = 1 To 16
 Select Case Mid(Text.Line2, X, 1)
   Case 0 To 7: LcdWriteChar LcdPort, Mid(Text.Line2, X, 1)
   Case 8: LcdWriteChar LcdPort, 255
   Case 9: LcdWriteChar LcdPort, 32
   Case "o": LcdWriteChar LcdPort, 161
   Case "u": LcdWriteChar LcdPort, 223
   Case "p": LcdWriteChar LcdPort, 46

 End Select
Next

End Function

' 2003/2004 Christof Rue - www.hobby-elektronik.de.vu
'Die Verwendung dieses Moduls ist ist Freeware, solange diese Zeilen erhalten bleiben!
