Attribute VB_Name = "Sonstiges"
Private Declare Function GetCurrentProcess Lib "kernel32" () As Long
Private Declare Function SetPriorityClass Lib "kernel32" (ByVal hProcess As Long, ByVal dwPriorityClass As Long) As Long
Private Declare Function GetPriorityClass Lib "kernel32" (ByVal hProcess As Long) As Long

Enum Priorities
   Realtime = 256
   High = 128
   Normal = 32
   Idle = 64
End Enum

Function SetPriority(Priority As Priorities) As Boolean
Dim retval As Long
retval = SetPriorityClass(GetCurrentProcess, Priority)
If retval = 0 Then
 SetPriority = False
Else
 SetPriority = True
End If
End Function

Function GetPriority() As Long
GetPriority = GetPriorityClass(GetCurrentProcess)
End Function

Function GetPriorityName() As String
Select Case GetPriorityClass(GetCurrentProcess)
  Case 256: GetPriorityName = "Realtime"
  Case 128: GetPriorityName = "High"
  Case 32: GetPriorityName = "Normal"
  Case 64: GetPriorityName = "Idle"
End Select
End Function




