Attribute VB_Name = "Bigchars"
' 2003/2004 Christof Rue - www.hobby-elektronik.de.vu
'Die Verwendung dieses Moduls ist ist Freeware, solange diese Zeilen erhalten bleiben!

Public Type BigChar
 Line1 As String
 Line2 As String
 Line3 As String
 Line4 As String
End Type

Public Function Parsebignums(Text As String) As BigChar
Dim EachChar As BigChar
Dim BigText As BigChar
For X = 1 To Len(Text)
  With EachChar
  Select Case Asc(Mid(Text, X, 1))
    Case 48: .Line1 = "041": .Line2 = "808": .Line3 = "838": .Line4 = "253" ' 0
    Case 49: .Line1 = "049": .Line2 = "989": .Line3 = "989": .Line4 = "555" ' 1
    Case 50: .Line1 = "041": .Line2 = "046": .Line3 = "899": .Line4 = "555" ' 2
    Case 51: .Line1 = "041": .Line2 = "906": .Line3 = "927": .Line4 = "253" ' 3
    Case 52: .Line1 = "499": .Line2 = "848": .Line3 = "998": .Line4 = "995" ' 4
    Case 53: .Line1 = "444": .Line2 = "841": .Line3 = "998": .Line4 = "253" ' 5
    Case 54: .Line1 = "041": .Line2 = "841": .Line3 = "898": .Line4 = "253" ' 6
    Case 55: .Line1 = "444": .Line2 = "906": .Line3 = "989": .Line4 = "959" ' 7
    Case 56: .Line1 = "041": .Line2 = "848": .Line3 = "898": .Line4 = "253" ' 8
    Case 57: .Line1 = "041": .Line2 = "848": .Line3 = "998": .Line4 = "253" ' 9
    Case 58: .Line1 = "9": .Line2 = "p": .Line3 = "p": .Line4 = "9" ' :
    Case 46: .Line1 = "9": .Line2 = "9": .Line3 = "9": .Line4 = "p" ' .
    
  End Select
  End With

    BigText.Line1 = BigText.Line1 & EachChar.Line1
    BigText.Line2 = BigText.Line2 & EachChar.Line2
    BigText.Line3 = BigText.Line3 & EachChar.Line3
    BigText.Line4 = BigText.Line4 & EachChar.Line4

Next
Parsebignums = BigText
End Function

Public Function LcdInitBigNums(ByVal LcdPort As Long)
LcdInit LcdPort, False, False
Dim OwnSymbol As DspOwnSymbol
With OwnSymbol
  .Line0 = "00000"
  .Line1 = "00000"
  .Line2 = "00000"
  .Line3 = "00001"
  .Line4 = "00011"
  .Line5 = "00111"
  .Line6 = "01111"
  .Line7 = "11111"
    LcdDefineChar LcdPort, 0, OwnSymbol
  .Line0 = "00000"
  .Line1 = "00000"
  .Line2 = "00000"
  .Line3 = "10000"
  .Line4 = "11000"
  .Line5 = "11100"
  .Line6 = "11110"
  .Line7 = "11111"
    LcdDefineChar LcdPort, 1, OwnSymbol
  .Line0 = "11111"
  .Line1 = "01111"
  .Line2 = "00111"
  .Line3 = "00011"
  .Line4 = "00001"
  .Line5 = "00000"
  .Line6 = "00000"
  .Line7 = "00000"
    LcdDefineChar LcdPort, 2, OwnSymbol
  .Line0 = "11111"
  .Line1 = "11110"
  .Line2 = "11100"
  .Line3 = "11000"
  .Line4 = "10000"
  .Line5 = "00000"
  .Line6 = "00000"
  .Line7 = "00000"
    LcdDefineChar LcdPort, 3, OwnSymbol
  .Line0 = "00000"
  .Line1 = "00000"
  .Line2 = "00000"
  .Line3 = "11111"
  .Line4 = "11111"
  .Line5 = "11111"
  .Line6 = "11111"
  .Line7 = "11111"
    LcdDefineChar LcdPort, 4, OwnSymbol
  .Line0 = "11111"
  .Line1 = "11111"
  .Line2 = "11111"
  .Line3 = "11111"
  .Line4 = "11111"
  .Line5 = "00000"
  .Line6 = "00000"
  .Line7 = "00000"
    LcdDefineChar LcdPort, 5, OwnSymbol
  .Line0 = "11111"
  .Line1 = "11111"
  .Line2 = "11111"
  .Line3 = "11111"
  .Line4 = "11110"
  .Line5 = "11100"
  .Line6 = "11000"
  .Line7 = "10000"
    LcdDefineChar LcdPort, 6, OwnSymbol
  .Line0 = "10000"
  .Line1 = "11000"
  .Line2 = "11100"
  .Line3 = "11110"
  .Line4 = "11111"
  .Line5 = "11111"
  .Line6 = "11111"
  .Line7 = "11111"
    LcdDefineChar LcdPort, 7, OwnSymbol
End With
LcdClearDisplay LcdPort

End Function

Public Function LcdWriteBigNums(ByVal LcdPort As Long, LcdSize As DspSize, ByRef Text As BigChar, Optional StartColumn As Long = 1)
LcdSetPos LcdPort, LcdSize, 1, StartColumn
For X = 1 To 16
 Select Case Mid(Text.Line1, X, 1)
   Case 0 To 7: LcdWriteChar LcdPort, Mid(Text.Line1, X, 1)
   Case 8: LcdWriteChar LcdPort, 255
   Case 9: LcdWriteChar LcdPort, 32
   Case "p": LcdWriteChar LcdPort, 111
 End Select
Next
LcdSetPos LcdPort, LcdSize, 2, StartColumn
For X = 1 To 16
 Select Case Mid(Text.Line2, X, 1)
   Case 0 To 7: LcdWriteChar LcdPort, Mid(Text.Line2, X, 1)
   Case 8: LcdWriteChar LcdPort, 255
   Case 9: LcdWriteChar LcdPort, 32
   Case "p": LcdWriteChar LcdPort, 111
 End Select
Next
LcdSetPos LcdPort, LcdSize, 3, StartColumn
For X = 1 To 16
 Select Case Mid(Text.Line3, X, 1)
   Case 0 To 7: LcdWriteChar LcdPort, Mid(Text.Line3, X, 1)
   Case 8: LcdWriteChar LcdPort, 255
   Case 9: LcdWriteChar LcdPort, 32
   Case "p": LcdWriteChar LcdPort, 111
 End Select
Next
LcdSetPos LcdPort, LcdSize, 4, StartColumn
For X = 1 To 16
 Select Case Mid(Text.Line4, X, 1)
   Case 0 To 7: LcdWriteChar LcdPort, Mid(Text.Line4, X, 1)
   Case 8: LcdWriteChar LcdPort, 255
   Case 9: LcdWriteChar LcdPort, 32
   Case "p": LcdWriteChar LcdPort, 111
 End Select
Next
End Function

' 2003/2004 Christof Rue - www.hobby-elektronik.de.vu
'Die Verwendung dieses Moduls ist ist Freeware, solange diese Zeilen erhalten bleiben!

